### Function

# Cogl get_proc_address

#### Declaration [src]

    GCallback
    cogl_get_proc_address (
      const char* name
    )

#### Description [src]

Gets a pointer to a given GL or GL ES extension function. This acts as a wrapper around glXGetProcAddress() or whatever is the appropriate function for the current backend.

This function should not be used to query core opengl API symbols since eglGetProcAddress for example doesn’t allow this and and may return a junk pointer if you do.

This function is not directly available to language bindings.

#### Parameters

`name`

  Type: `const char*`

  The name of the function.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GCallback`

A pointer to the requested function or `NULL` if the function is not available.